<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Sequence Constructor (SequenceConfig)
Sequence Class See Also

Instantiate a new Sequence object.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public Sequence(
    	SequenceConfig cfg
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	cfg As SequenceConfig _
    )

Visual C++

    public:
    Sequence(
    	SequenceConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.SequenceConfig
  Configuration parameters for the Sequence

# Remarks

If txn is null and the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# See Also

Sequence Class
Sequence Overload
BerkeleyDB Namespace